Subject: bug#47448: closed (Re: bug#47448: lualatex doesn't find libzzip-0.so.13 (easy bug?))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Mar 2021 08:08:02 +0000

Your bug report

#47448: lualatex doesn't find libzzip-0.so.13 (easy bug?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47448: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47448
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47448: lualatex doesn't find libzzip-0.so.13 (easy bug?)
From: Efraim Flashner <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: Sergiu Ivanov <[email-masked]>, [email-masked]
Date: Tue, 30 Mar 2021 11:06:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug fixed with commit 9098745b181b3022587a35afd255f7ff1d41ac86.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: Re: lualatex doesn't find libzzip-0.so.13 (easy bug?)
From: Andreas Enge <[email-masked]>
To: Sergiu Ivanov <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Mar 2021 12:29:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Sergiu,

Am Sat, Mar 27, 2021 at 08:22:30PM +0100 schrieb Sergiu Ivanov:
> I have trouble running lualatex from the TeX Live distribution (package
> texlive) :
> $ lualatex
> /home/scolobb/.guix-profile/bin/lualatex: error while loading shared libraries: libzzip-0.so.13: cannot open shared object file: No such file or directory

I confirm the bug, and am forwarding it to the bugtracker.
lualatex is a wrapped binary, and the following shows the problem:
$ ldd $(guix build texlive-bin)/bin/luatex
...
	libzzip-0.so.13 => not found

> I installed the zziplib package which brings in libzzip.so.13, but not
> libzzip-0.so.13.

Indeed this seems to be the problem, and I suspect it is happening in the
zziplib package. Its version is 0.13.72, but the soname versions are
13.0.72, which already suggests that there is some confusion happening.
Regardless, part of the version number should not appear before the "so"
in libzzip-0.so.13.

Hm, the following looks correct, issued from a profile containing zziplib:
$ pkg-config --libs zziplib
-L/gnu/store/fx0cdzzppd8jc09sianbq6gl1h7mxx3x-zziplib-0.13.72/lib -L/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11/lib -lzzip -lz

So it might be a problem with texlive-bin instead.

Andreas